levelshots/etl_bergen_v4_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/etl_bergen_v4_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_bergen_v4_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_bergen_v4_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

textures/etl_bergen/sky
{
    nocompress
    qer_editorimage textures/editor/blue1.tga

	q3map_sunExt 0.8 0.9 1.0 50 60 45 //1 16
	// q3map_sun 0.8 0.9 1.0 0 60 45
    q3map_nofog
	
	q3map_skylight 140 5
   
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
    surfaceparm sky
   
    skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/etl_bergen/sun
    nofog

    {  
        fog off
        map textures/skies_sd/battery_clouds.tga
        tcMod scale 2.5 2.5
        tcMod scroll 0.0015 -0.003
        rgbGen identityLighting
    }
 
    {
        fog off
        clampmap textures/skies_sd/battery_mask_ydnar.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scale 0.956 0.956
        tcMod transform 1 0 0 1 -1 -1
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/etl_bergen/sun
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/skies_sd/batterysunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/etl_bergen/water
{
	qer_editorimage textures/editor/blue5.tga
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/liquids_sd/seawall_foam.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/liquids_sd/sea_bright_na.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcMod scale 3 3
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcMod scale 3 3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		// blendFunc filter
		blendFunc GL_DST_COLOR GL_ZERO
		// depthwrite
		rgbGen identity
	}
}

textures/etl_bergen/_grass
{
	qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm grassteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_dense1.tga
		rgbGen identity
	}
	{
		// Secondary
		// map textures/temperate_sd/rocky_sand.tga
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/_road
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		// map textures/temperate_sd/rocky_sand.tga
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/_cave
{
	qer_editorimage textures/stone/mxrock4c.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/stone/mxrock4c.tga
		rgbGen identity
	}
	{
		// Secondary
		// map textures/temperate_sd/rocky_sand.tga
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/_rock
{
	qer_editorimage textures/eltz/misc/q_caverock.tga
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	{
		// Secondary
		// map textures/temperate_sd/rocky_sand.tga
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		// tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/_vines
{
	qer_editorimage textures/temperate_sd/rock_grayvar.tga
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/eltz/misc/q_caverock.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	{
		// Secondary
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/_mountain
{
	qer_editorimage textures/stone/mxrock2.tga
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm grassteps
	{
		// Primary 1
		map textures/stone/mxrock2.tga
		tcMod scale .25 .25
		// tcMod scale .5 .5
		rgbGen identity
	}
	{
		// Secondary
		map textures/eltz/misc/q_caverock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// === TRANSMITTER ===
models/etl_bergen/floor_model
{
	qer_editorimage textures/awf/floor_m4.tga
	{
		map textures/awf/floor_m4.tga
		rgbGen lightingDiffuse
	}

}
models/etl_bergen/trim_model
{
	qer_editorimage textures/battery_wall/metal_trim1.tga
	cull disable

	{
		map textures/battery_wall/metal_trim1.tga
		rgbGen lightingDiffuse
	}

}

models/etl_bergen/trim_cull_model
{
	qer_editorimage textures/battery_wall/metal_trim1.tga
	{
		map textures/battery_wall/metal_trim1.tga
		rgbGen lightingDiffuse
	}
}

models/etl_bergen/truss_model
{
	qer_alphafunc greater 0.5
	qer_editorimage textures/alpha/truss_m06a.tga
	cull disable
	sort seethrough
	surfaceparm trans
	surfaceparm nomarks
	implicitMask textures/alpha/truss_m06a.tga
}